Bug Hunting Session
Bug 108947 - FILEOPEN: RTF: Header is missing
Summary: FILEOPEN: RTF: Header is missing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: Writer-Header-Footer RTF
  Show dependency treegraph
 
Reported: 2017-07-04 12:17 UTC by Xisco Faulí
Modified: 2018-02-12 20:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
header is missing (9.96 KB, application/rtf)
2017-07-04 12:17 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-07-04 12:17:39 UTC
Created attachment 134477 [details]
header is missing

Steps:
1. Open attached document

Observed behaviour: Header in page 2 is missing

[Bug found by office-interoperability-tools]

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: cb37c5f0f3de7b545231a53d46a5271058af76ad
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-23_06:55:41
Locale: es-ES (es_ES); Calc: group
Comment 1 Xisco Faulí 2017-07-04 12:19:37 UTC
Regression introduced by:

author	Thomas Beck <thomas.beck@cib.de>	2017-05-19 11:44:58 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-06-12 10:33:34 (GMT)
commit	8a71a2a843c31e5eeb5ae4b08ee861ba8f2c4516 (patch)
tree	60c18d5669d999bc4af98d8e60eaba0ee25e2887
parent	3c354ea9ed8158143110fda56af22d12e750fc2f (diff)
tdf#108055 RTF: Header and Footer are added multiple times.
Made it so Header/Footer of a certain section can only be added once.
This change should only affect RTF-Files.

Added Unittest

Bisected with bibisect-linux64-6.0

Adding Cc: to Thomas Beck
Comment 2 Xisco Faulí 2017-08-01 23:19:54 UTC
Still reproducible in

Version: 6.0.0.0.alpha0+
Build ID: 50799a721c7ddcf9475a1b79984ed64ddd7cdf57
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Commit Notification 2017-10-25 22:49:15 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1cf755afefec033377b8a693afed73d837a1387

tdf#108947 - Fixed regression

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-10-29 20:49:09 UTC
Verified in

Version: 6.0.0.0.alpha1+
Build ID: fc4f2f1b0f8c286e9ae259c44fb249261a8ac47f
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Thomas Beck, please close this issue as RESOLVED FIXED once your work is done here.
Comment 5 Commit Notification 2017-11-09 14:10:06 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=743efc3d4b086d20abd1449bcb73e9bce506c083

tdf#108947 Added Unittest.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-11-09 15:21:08 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38c03b07b66a80d87221064b6e88c5e206d64817

Revert "tdf#108947 Added Unittest."

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-11-19 00:59:18 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b904d639a801d6d610d8e53ba23cae9781ab9569

tdf#108947 Added Unittest.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.